/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATU_INCI                                                     */
/* Tabela : INCIDENCIA                                                        */
/*                                                                            */
/* Criao:                                                                   */
/* 02/08/2001 - Newton Neves dos Santos                                       */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATU_INCI
BEFORE INSERT OR UPDATE OR DELETE
ON INCIDENCIA FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUINCI := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.IDENTRSAIDIN,0) <> NVL(:NEW.IDENTRSAIDIN,0)) OR
         (NVL(:OLD.CDEMPRESA,0)    <> NVL(:NEW.CDEMPRESA,0))    OR
         (NVL(:OLD.CDTIPOOPER,0)   <> NVL(:NEW.CDTIPOOPER,0))   OR
         (NVL(:OLD.CDIMPOSTO,0)    <> NVL(:NEW.CDIMPOSTO,0))    OR
         (NVL(:OLD.CDINSCESTA,0)   <> NVL(:NEW.CDINSCESTA,0))   OR
         (NVL(:OLD.CDPRODUTO,0)    <> NVL(:NEW.CDPRODUTO,0))    OR
         (NVL(:OLD.CDGRUPOFISC,0)  <> NVL(:NEW.CDGRUPOFISC,0))  OR
         (NVL(:OLD.CDFISCAL,0)     <> NVL(:NEW.CDFISCAL,0))   THEN
         :NEW.DTULTATUINCI := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('INCIDENCIA', '', 'NRINCIDENCIA='||:OLD.NRINCIDENCIA||';', SYSDATE);
   END IF;
END;
/

ALTER TABLE INCIDENCIA MODIFY DTULTATUINCI DEFAULT SYSDATE
/
